Module tdlight.api
Package it.tdlight.jni

# Class TdApi.InputSticker

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InputSticker

Enclosing class:
  TdApi

public static final class TdApi.InputSticker extends TdApi.Object
A sticker to be added to a sticker set.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`String`
`emojis`
String with 1-20 emoji corresponding to the sticker.
`String[]`
`keywords`
List of up to 20 keywords with total length up to 64 characters, which can be used to find the sticker.
`TdApi.MaskPosition`
`maskPosition`
Position where the mask is placed; pass null if not specified.
`TdApi.InputFile`
`sticker`
File with the sticker; must fit in a 512x512 square.

## Constructor Summary

Constructors
Constructor
Description
`InputSticker()`
A sticker to be added to a sticker set.
`InputSticker(TdApi.InputFile sticker, String emojis, TdApi.MaskPosition maskPosition, String[] keywords)`
A sticker to be added to a sticker set.
`InputSticker(DataInput input)`
A sticker to be added to a sticker set.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### sticker

public TdApi.InputFile sticker
File with the sticker; must fit in a 512x512 square. For WEBP stickers the file must be in WEBP or PNG format, which will be converted to WEBP server-side. See https://core.telegram.org/animated_stickers#technical-requirements for technical requirements.

### emojis

public String emojis
String with 1-20 emoji corresponding to the sticker.

### maskPosition

public TdApi.MaskPosition maskPosition
Position where the mask is placed; pass null if not specified.

### keywords

public String[] keywords
List of up to 20 keywords with total length up to 64 characters, which can be used to find the sticker.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### InputSticker

public InputSticker()
A sticker to be added to a sticker set.

### InputSticker

public InputSticker(TdApi.InputFile sticker, String emojis, TdApi.MaskPosition maskPosition, String[] keywords)
A sticker to be added to a sticker set.

Parameters:
  `sticker` - File with the sticker; must fit in a 512x512 square. For WEBP stickers the file must be in WEBP or PNG format, which will be converted to WEBP server-side. See https://core.telegram.org/animated_stickers#technical-requirements for technical requirements.
  `emojis` - String with 1-20 emoji corresponding to the sticker.
  `maskPosition` - Position where the mask is placed; pass null if not specified.
  `keywords` - List of up to 20 keywords with total length up to 64 characters, which can be used to find the sticker.

### InputSticker

public InputSticker(DataInput input) throws IOException
A sticker to be added to a sticker set.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`